aboutsummaryrefslogtreecommitdiffstats
path: root/main/gnutls/tests-date-compat.patch
diff options
context:
space:
mode:
Diffstat (limited to 'main/gnutls/tests-date-compat.patch')
-rw-r--r--main/gnutls/tests-date-compat.patch12
1 files changed, 6 insertions, 6 deletions
diff --git a/main/gnutls/tests-date-compat.patch b/main/gnutls/tests-date-compat.patch
index 82e3314d29..2717ab230e 100644
--- a/main/gnutls/tests-date-compat.patch
+++ b/main/gnutls/tests-date-compat.patch
@@ -1,12 +1,12 @@
Busybox date does not support %N, this is GNU extension.
--- a/tests/scripts/common.sh
+++ b/tests/scripts/common.sh
-@@ -61,7 +61,7 @@
+@@ -59,7 +59,7 @@
+ }
+
# Find a port number not currently in use.
- GETPORT='rc=0; unset myrandom
- if test -n "$RANDOM"; then myrandom=$(($RANDOM + $RANDOM)); fi
-- if test -z "$myrandom"; then myrandom=$(date +%N | sed s/^0*//); fi
-+ if test -z "$myrandom"; then myrandom=$(date +%s | sed s/^0*//); fi
- if test -z "$myrandom"; then myrandom=0; fi
+-GETPORT='rc=0; myrandom=$(date +%N | sed s/^0*//)
++GETPORT='rc=0; myrandom=$(date +%s | sed s/^0*//)
while test $rc = 0;do
PORT="$(((($$<<15)|$myrandom) % 63001 + 2000))"
+ check_if_port_in_use $PORT;rc=$?